#!/bin/bash
#
# ./out2table.sh outputfile > outtable.dat
#
# 2010-09-19 JS initial version replacing .ccm.output code
#
# print help 
if test -z "$1"; then head -n 6 $0 | tail -n +2; exit; fi
# make table from output
awk '/^Model Parameter Delta/||/solve finished/{if(xx)
print "D,E,M ",delta,Eg,Mg,dEg,x1,"it",ItEg,ItMg,Fid,alpha,subM,gExp,xE;
 xx=1;delta=$5;Eg=0;ItEt=0;Mg=0;Fid=""}
/Eg.i100t/{Eg=$3;ItEt=$1;}
/Mg.i100t/{Mg=$3;ItMg=$1;}
/-dEg/{dEg="dE "$3" "$7}
/^ket.1./{x1="x1 "$2}
/^ Fidelity/{Fid="F "$2;}
/Eg.alpha./{Eg=$2;alpha="a/Pi "$4}
/^Mag.1./{subM="subM "$2}
/^Mag.[2-9]./{subM=subM" "$2}
/Expectation_Value=/{gExp=gExp" Exp$5= "$3}  # untested g_exp
/Excited-State Energy/{xE="excErg= "$3} # untested excitationEnergy
' $1
