
/* CAUTION: This is the ANSI C (only) version of the Numerical Recipes
   utility file nr.h.  Do not confuse this file with the same-named
   file nr.h that is supplied in the 'misc' subdirectory.
   *That* file is the one from the book, and contains both ANSI and
   traditional K&R versions, along with #ifdef macros to select the
   correct version.  *This* file contains only ANSI C.               */

#ifndef _NR_H_
#define _NR_H_

void lubksb( double **a, int n, int *indx, double b[]);
void ludcmp( double **a, int n, int *indx,  double *d);
int mnewt(int ntrial,  int n, double tolx, double tolf,
          int *iterations, double *x);
          
#endif /* _NR_H_ */
